uniform sampler2D       s_texture;
varying mediump vec2    v_tex_coord;
varying lowp vec4    v_color;
uniform lowp float greyness_factor;

const lowp vec4 formula = vec4(0.30, 0.59, 0.11, 0.0);

void main(void)
{
	 lowp vec4 c = texture2D(s_texture, v_tex_coord);
	 // wikipedia rgb-to-greyscale
	 lowp float f = dot(c, formula);
	 lowp vec4 c2 = mix(c, vec4(f, f, f, c.a), greyness_factor);
	 gl_FragColor = v_color * c2;
}
