uniform sampler2D       s_texture;
varying mediump vec2    v_tex_coord;

varying lowp vec4    v_color;

const lowp float gain = 0.5; // Range from 0.0 to 0.5;

const lowp float gain1m = 1.0 - gain;

void main(void)
{
	// cannot be lowp, ipad hw will create bad values
	mediump float f = gl_FragCoord.x * 0.1;

	lowp vec4 rainbow = vec4(sin(f),
	     	  	         sin(f + 2.094),
				 sin(f + 4.18836),
	                         1.0) * gain + gain1m;
	gl_FragColor = v_color * rainbow * texture2D(s_texture, v_tex_coord);
}
