uniform sampler2D       s_texture;
varying mediump vec2    v_tex_coord;

//From the OpenGL ES Shading Language reference:
//
//highp - 16-bit, floating point range: -2^62 to 2^62, integer range: -2^16 to 2^16
//mediump - 10 bit, floating point range: -2^14 to 2^14, integer range: -2^10 to 2^10
//lowp - 8 bit, floating point range: -2 to 2, integer range: -2^8 to 2^8

const lowp float gain = 0.5; // Range from 0.0 to 0.5;

const lowp float gain1m = 1.0 - gain;

void main(void)
{
	// cannot be lowp, ipad hw will create bad values
	mediump float f = gl_FragCoord.x * 0.1;

	lowp vec4 rainbow = vec4(sin(f),
	     	  	         sin(f + 2.094),
				 sin(f + 4.18836),
	                         1.0) * gain + gain1m;
	gl_FragColor = rainbow * texture2D(s_texture, v_tex_coord);
}
