uniform sampler2D       s_texture;
varying mediump vec2    v_tex_coord;
varying lowp vec4    v_color;

void main(void)
{
        lowp vec4 c = texture2D(s_texture, v_tex_coord);
        lowp vec4 o;
        // These can overflow, but I assume the GPU will clamp it to 1.0 in that case?
        // The constants can be modified to suit your taste; taken from
        // https://github.com/nical/GLSL-Raymarching/blob/master/src/shaders/Sepia.frag
        o.r = (c.r * 0.393) + (c.g * 0.769) + (c.b * 0.189);
        o.g = (c.r * 0.349) + (c.g * 0.686) + (c.b * 0.168);
        o.b = (c.r * 0.272) + (c.g * 0.534) + (c.b * 0.131);
        o.a = c.a;
        // You could also do greyscale and then multiply by e.g. (1.2, 1.0, 0.8)
        gl_FragColor = v_color * o;
}
